GET api/Course/CheckPoint/Subject?checkPointId={checkPointId}
获取关卡题目信息(说明:App和小程序通用)
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| checkPointId | integer |
Required |
Body Parameters
None.
Response Information
Resource Description
返状态码: 403:请求不合理,服务器拒绝执行(1、请求参数不正确)... 。404:信息不存在(1、关卡信息不存在 2、关卡题目信息不存在)... 。200:请求成功... 。
CheckPointSubjectResult| Name | Description | Type | Additional information |
|---|---|---|---|
| courseId |
课程编号 |
integer |
None. |
| courseHourId |
课时编号 |
integer |
None. |
| checkPointId |
关卡编号 |
integer |
None. |
| answerTime |
回答时间 |
string |
None. |
| abilityId |
能力值ID |
integer |
None. |
| subjectInfo |
题目信息 |
Subject |
None. |
| status |
公共返回值: 480:Token无效。 481:请求需要身份验证。 482:身份验证方式不正确。 483:Token已过期。 500:服务器内部错误。 |
integer |
None. |
| msg |
消息 |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"courseId": 1,
"courseHourId": 2,
"checkPointId": 3,
"answerTime": "sample string 4",
"abilityId": 5,
"subjectInfo": {
"Subject_ID": 1,
"Subject_CheckPointID": 1,
"Subject_Title": "sample string 2",
"Subject_Type": 1,
"Subject_FileID": "sample string 3",
"Subject_AudioUrl": "sample string 4",
"Subject_States": 1,
"Subject_UpdateDate": "2026-07-02T06:10:24.1828588+08:00",
"Subject_CreateDate": "2026-07-02T06:10:24.1828588+08:00"
},
"status": 6,
"msg": "sample string 7"
}